Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.util
Class ConcurrentListModel

    java.lang.Object
      javax.swing.AbstractListModel
          edu.stanford.smi.protege.util.SimpleListModel
              edu.stanford.smi.protege.util.ConcurrentListModel

All Implemented Interfaces:
  Serializable, ListModel

    public class ConcurrentListModel

extends SimpleListModel

This class is a trivial extension of the SimpleListModel. This class protects the list in the SimpleListModel from concurrent access. It assumes that there is one writer and possibly many readers.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractListModel
`listenerList`

Constructor Summary
`ConcurrentListModel()`

Method Summary
`boolean` | `contains(Object o)`
`Object` | `getElementAt(int i)`
`int` | `getSize()`
`List` | `getValues()`
`int` | `indexOf(Object o)`
`protected List` | `makeList()`

Methods inherited from class edu.stanford.smi.protege.util.SimpleListModel
`addValue, addValue, addValues, clear, getList, moveValue, removeValue, removeValues, setValue, setValues, toList, toString`

Methods inherited from class javax.swing.AbstractListModel
`addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getListDataListeners, getListeners, removeListDataListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConcurrentListModel

    public ConcurrentListModel()

Method Detail

### makeList

    protected List makeList()

  Overrides:
    `makeList` in class `SimpleListModel`

### contains

    public boolean contains(Object o)

  Overrides:
    `contains` in class `SimpleListModel`

### getElementAt

    public Object getElementAt(int i)

  Specified by:
    `getElementAt` in interface `ListModel`
  Overrides:
    `getElementAt` in class `SimpleListModel`

### getSize

    public int getSize()

  Specified by:
    `getSize` in interface `ListModel`
  Overrides:
    `getSize` in class `SimpleListModel`

### getValues

    public List getValues()

  Overrides:
    `getValues` in class `SimpleListModel`

### indexOf

    public int indexOf(Object o)

  Overrides:
    `indexOf` in class `SimpleListModel`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.